diff -Naur gnome-menus-2.22.2.old/layout/applications.menu gnome-menus-2.22.2/layout/applications.menu
--- gnome-menus-2.22.2.old/layout/applications.menu	2008-05-26 17:10:56.000000000 +0100
+++ gnome-menus-2.22.2/layout/applications.menu	2008-07-04 14:17:16.000000000 +0100
@@ -7,7 +7,7 @@
   <Directory>Applications.directory</Directory>
 
   <!-- Scan legacy dirs first, as later items take priority -->
-  <KDELegacyDirs/>
+  <!-- <KDELegacyDirs/> -->
   <LegacyDir>/etc/X11/applnk</LegacyDir>
   <LegacyDir>/usr/share/gnome/apps</LegacyDir>
 
@@ -24,7 +24,10 @@
     <Directory>Accessories.directory</Directory>
     <Include>
       <And>
-        <Category>Utility</Category>
+         <Or>
+           <Category>Utility</Category>
+           <Category>TextEditor</Category>
+         </Or>
 	<!-- Accessibility spec must have either the Utility or Settings
 	     category, and we display an accessibility submenu already for
 	     the ones that do not have Settings, so don't display accessibility
@@ -33,6 +36,11 @@
         <Not><Category>System</Category></Not>
       </And>
     </Include>
+     <Exclude>
+         <Category>KDE</Category>
+         <Category>X-XFCE</Category>
+         <Filename>mousepad.desktop</Filename>
+     </Exclude>
   </Menu> <!-- End Accessories -->
 
   <!-- Accessibility submenu -->
@@ -45,6 +53,10 @@
         <Not><Category>Settings</Category></Not>
       </And>
     </Include>
+    <Exclude>
+        <Category>KDE</Category>
+        <Category>X-XFCE</Category>
+    </Exclude>
   </Menu> <!-- End Accessibility -->
 
   <!-- Development Tools -->
@@ -57,6 +69,10 @@
       </And>
       <Filename>emacs.desktop</Filename>
     </Include>
+    <Exclude>
+        <Category>KDE</Category>
+        <Category>X-XFCE</Category>
+    </Exclude>
   </Menu> <!-- End Development Tools -->
 
   <!-- Education -->
@@ -68,6 +84,10 @@
         <Category>Education</Category>
       </And>
     </Include>
+    <Exclude>
+        <Category>KDE</Category>
+        <Category>X-XFCE</Category>
+    </Exclude>
   </Menu> <!-- End Education -->
 
   <!-- Games -->
@@ -79,6 +99,10 @@
         <Category>Game</Category>
       </And>
     </Include>
+    <Exclude>
+        <Category>KDE</Category>
+        <Category>X-XFCE</Category>
+    </Exclude>
   </Menu> <!-- End Games -->
 
   <!-- Graphics -->
@@ -90,6 +114,11 @@
         <Category>Graphics</Category>
       </And>
     </Include>
+    <Exclude>
+        <Category>KDE</Category>
+        <Category>X-XFCE</Category>
+        <Filename>ristretto.desktop</Filename>
+    </Exclude>
   </Menu> <!-- End Graphics -->
 
   <!-- Internet -->
@@ -101,6 +130,10 @@
         <Category>Network</Category>
       </And>
     </Include>
+    <Exclude>
+        <Category>KDE</Category>
+        <Category>X-XFCE</Category>
+    </Exclude>
   </Menu>   <!-- End Internet -->
 
   <!-- Multimedia -->
@@ -112,6 +145,10 @@
         <Category>AudioVideo</Category>
       </And>
     </Include>
+    <Exclude>
+        <Category>KDE</Category>
+        <Category>X-XFCE</Category>
+    </Exclude>
   </Menu>   <!-- End Multimedia -->
 
   <!-- Office -->
@@ -120,9 +157,17 @@
     <Directory>Office.directory</Directory>
     <Include>
       <And>
-        <Category>Office</Category>
+        <Or>
+          <Category>Office</Category>
+          <Category>Calendar</Category>
+        </Or>
       </And>
     </Include>
+    <Exclude>
+        <Category>KDE</Category>
+        <Category>X-XFCE</Category>
+        <Filename>xfbib.desktop</Filename>
+    </Exclude>
   </Menu> <!-- End Office -->
 
   <!-- System Tools-->
@@ -135,6 +180,13 @@
         <Not><Category>Settings</Category></Not>
       </And>
     </Include>
+    <Exclude>
+        <Category>KDE</Category>
+        <Category>X-XFCE</Category>
+        <Filename>Thunar.desktop</Filename>
+        <Filename>Thunar-bulk-rename.desktop</Filename>
+        <Filename>Terminal.desktop</Filename>
+    </Exclude>
   </Menu>   <!-- End System Tools -->
 
   <!-- Other -->
@@ -149,6 +201,25 @@
         <Not><Category>Screensaver</Category></Not>
       </And>
     </Include>
+    <Exclude>
+        <Category>KDE</Category>
+        <Category>X-XFCE</Category>
+    </Exclude>
   </Menu> <!-- End Other -->
 
+  <Menu>
+     <Name>KDE Applications</Name>
+     <MergeFile>gnome-menus-kde.menu</MergeFile>
+  </Menu>
+
+  <Menu>
+     <Name>OpenOffice.Org</Name>
+     <MergeFile>gnome-menus-ooo.menu</MergeFile>
+  </Menu>
+
+  <Menu>
+     <Name>Xfce Applications</Name>
+     <MergeFile>gnome-menus-xfce.menu</MergeFile>
+  </Menu>
+
 </Menu> <!-- End Applications -->
